=== modified file 'tests/r/func_str.result'
--- tests/r/func_str.result	2010-10-14 18:58:48 +0000
+++ tests/r/func_str.result	2010-10-25 23:13:58 +0000
@@ -717,8 +717,8 @@
 1000000
 1      
 drop table t1;
-select load_file("lkjlkj");
-ERROR HY000: The file 'lkjlkj' must be in the schema directory or be readable by all
+select load_file("DRIZZLETEST_VARDIR/lkjlkj");
+ERROR HY000: The file 'DRIZZLETEST_VARDIR/lkjlkj' must be in the schema directory or be readable by all
 CREATE TABLE t1 (a varchar(10));
 INSERT INTO t1 VALUES ('abc'), ('xyz');
 SELECT a, CONCAT(a,' ',a) AS c FROM t1

=== modified file 'tests/r/loaddata.result'
--- tests/r/loaddata.result	2010-10-08 21:27:53 +0000
+++ tests/r/loaddata.result	2010-10-25 23:13:58 +0000
@@ -1,20 +1,20 @@
 drop table if exists t1, t2;
 create table t1 (a date, b date, c date not null, d date);
-load data infile '../../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',';
-load data infile '../../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' IGNORE 2 LINES;
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata1.dat' into table t1 fields terminated by ',';
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' IGNORE 2 LINES;
 SELECT * from t1;
 a	b	c	d
 2003-02-03	2003-02-03	2003-02-03	NULL
 2003-03-03	2003-03-03	2003-03-03	NULL
 truncate table t1;
-load data infile '../../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' LINES STARTING BY ',' (b,c,d);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' LINES STARTING BY ',' (b,c,d);
 SELECT * from t1;
 a	b	c	d
 NULL	2003-02-03	2003-02-03	NULL
 NULL	2003-03-03	2003-03-03	NULL
 drop table t1;
 create table t1 (a text, b text);
-load data infile '../../std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''';
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''';
 select concat('|',a,'|'), concat('|',b,'|') from t1;
 concat('|',a,'|')	concat('|',b,'|')
 |Field A|	|Field B|
@@ -23,7 +23,7 @@
 |Field 6|	| 'Field 7'|
 drop table t1;
 create table t1 (a int, b char(10));
-load data infile '../../std_data_ln/loaddata3.dat' into table t1 fields terminated by '' enclosed by '' ignore 1 lines;
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata3.dat' into table t1 fields terminated by '' enclosed by '' ignore 1 lines;
 select * from t1;
 a	b
 1	row 1     
@@ -34,7 +34,7 @@
 a	b
 drop table t1;
 create table t1 (a varchar(20), b varchar(20));
-load data infile '../../std_data_ln/loaddata_dq.dat' into table t1 fields terminated by ',' enclosed by '"' escaped by '"' (a,b);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata_dq.dat' into table t1 fields terminated by ',' enclosed by '"' escaped by '"' (a,b);
 select * from t1;
 a	b
 field1	field2
@@ -96,25 +96,25 @@
 id	c1	c2
 DROP TABLE t1,t2;
 create table t1 (a int default 100, b int, c varchar(60));
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set b=@b+10, c=concat("b=",@b);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set b=@b+10, c=concat("b=",@b);
 select * from t1;
 a	b	c
 NULL	20	b=10
 NULL	25	b=15
 truncate table t1;
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set c= if(a is null,"oops",a);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set c= if(a is null,"oops",a);
 select * from t1;
 a	b	c
 NULL	NULL	oops
 NULL	NULL	oops
 truncate table t1;
 set @c:=123;
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (@a, b) set c= if(@a is null,@c,b);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (@a, b) set c= if(@a is null,@c,b);
 select * from t1;
 a	b	c
 100	10	123
 100	15	123
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (@a, @b);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (@a, @b);
 select * from t1;
 a	b	c
 100	10	123
@@ -125,25 +125,25 @@
 @a	@b
 NULL	15
 truncate table t1;
-load data infile '../../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c="Wow";
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c="Wow";
 select * from t1;
 a	b	c
 1	2	Wow
 3	4	Wow
 5	6	Wow
 truncate table t1;
-load data infile '../../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c=concat(a,"+",b,"+",@c,"+",b,"+",if(c is null,"NIL",c));
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c=concat(a,"+",b,"+",@c,"+",b,"+",if(c is null,"NIL",c));
 select * from t1;
 a	b	c
 1	2	1+2+123+2+NIL
 3	4	3+4+123+4+NIL
 5	6	5+6+123+6+NIL
-load data infile '../../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, @b);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, @b);
 ERROR HY000: Can't load value from file with fixed size rows to variable
 create table t2 (num int primary key, str varchar(10));
 insert into t2 values (10,'Ten'), (15,'Fifteen');
 truncate table t1;
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (@dummy,@n) set a= @n, c= (select str from t2 where num=@n);
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (@dummy,@n) set a= @n, c= (select str from t2 where num=@n);
 select * from t1;
 a	b	c
 10	NULL	Ten

=== modified file 'tests/r/null.result'
--- tests/r/null.result	2010-10-06 07:52:09 +0000
+++ tests/r/null.result	2010-10-25 23:13:58 +0000
@@ -114,7 +114,7 @@
 UPDATE t1 SET d=NULL;
 ERROR 23000: Column 'd' cannot be null
 truncate table t1;
-LOAD DATA INFILE '../../std_data_ln/null_test.txt' INTO TABLE t1 FIELDS ENCLOSED BY '"';
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/null_test.txt' INTO TABLE t1 FIELDS ENCLOSED BY '"';
 ERROR 22004: Column set to default value; NULL supplied to NOT NULL column 'a' at row 1
 drop table t1;
 create table t1 (a int not null, b int not null, index idx(a));

=== modified file 'tests/r/outfile.result'
--- tests/r/outfile.result	2010-10-14 18:58:48 +0000
+++ tests/r/outfile.result	2010-10-25 23:13:58 +0000
@@ -13,21 +13,19 @@
 select load_file(concat(@tmpdir,"/outfile-test.3"));
 load_file(concat(@tmpdir,"/outfile-test.3"))
 NULL
-ERROR HY000: File '../../tmp/outfile-test.1' already exists
-ERROR HY000: File '../../tmp/outfile-test.2' already exists
-ERROR HY000: File '../../tmp/outfile-test.3' already exists
+ERROR HY000: File 'DRIZZLETEST_VARDIR/tmp/outfile-test.1' already exists
+ERROR HY000: File 'DRIZZLETEST_VARDIR/tmp/outfile-test.2' already exists
+ERROR HY000: File 'DRIZZLETEST_VARDIR/tmp/outfile-test.3' already exists
 select load_file(concat(@tmpdir,"/outfile-test.not-exist"));
-ERROR HY000: The file '../../tmp/outfile-test.not-exist' must be in the schema directory or be readable by all
+ERROR HY000: The file '/home/pcrews/bzr/work/memtest/drizzle/tests/var/tmp/outfile-test.not-exist' must be in the schema directory or be readable by all
 drop table t1;
 select load_file(concat(@tmpdir,"/outfile-test.4"));
 load_file(concat(@tmpdir,"/outfile-test.4"))
 1
 
 CREATE TABLE t1 (a INT);
-EXPLAIN 
-SELECT *
-INTO OUTFILE '../../tmp/t1.txt'
-  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"' LINES TERMINATED BY '\r\n'
+EXPLAIN SELECT * INTO OUTFILE 'DRIZZLETEST_VARDIR/tmp/t1.txt' 
+FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"' LINES TERMINATED BY '\r\n'
   FROM t1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	1	

=== modified file 'tests/r/subselect3.result'
--- tests/r/subselect3.result	2010-02-15 18:29:31 +0000
+++ tests/r/subselect3.result	2010-10-25 23:13:58 +0000
@@ -772,9 +772,9 @@
 DROP TABLE t1, t2;
 create table t1 (a int, b decimal(13, 3));
 insert into t1 values (1, 0.123);
-select a, (select max(b) from t1) into outfile "subselect.out.file.1" from t1;
+select a, (select max(b) from t1) into outfile "DRIZZLETEST_VARDIR/subselect.out.file.1" from t1;
 delete from t1;
-load data infile "subselect.out.file.1" into table t1;
+load data infile "DRIZZLETEST_VARDIR/subselect.out.file.1" into table t1;
 select * from t1;
 a	b
 1	0.123

=== modified file 'tests/r/warnings.result'
--- tests/r/warnings.result	2010-10-14 18:58:48 +0000
+++ tests/r/warnings.result	2010-10-25 23:13:58 +0000
@@ -56,7 +56,7 @@
 1
 drop table t1;
 create table t1(a int, b int not null, c date, d char(5));
-load data infile '../../std_data_ln/warnings_loaddata.dat' into table t1 fields terminated by ',';
+load data infile 'DRIZZLETEST_VARDIR/std_data_ln/warnings_loaddata.dat' into table t1 fields terminated by ',';
 ERROR 22004: Column set to default value; NULL supplied to NOT NULL column 'b' at row 2
 select @@warning_count;
 @@warning_count

=== modified file 'tests/suite/jp/r/like_utf8.result'
--- tests/suite/jp/r/like_utf8.result	2010-10-25 03:09:38 +0000
+++ tests/suite/jp/r/like_utf8.result	2010-10-25 23:13:58 +0000
@@ -16,18 +16,18 @@
 CREATE TEMPORARY TABLE `Ｔ７` (`Ｃ１` char(20), INDEX(`Ｃ１`))  engine = MEMORY;
 CREATE TEMPORARY TABLE `Ｔ８` (`Ｃ１` char(20), INDEX(`Ｃ１`))  engine = MEMORY;
 CREATE TEMPORARY TABLE `Ｔ９` (`Ｃ１` char(20), INDEX(`Ｃ１`))  engine = MEMORY;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
-ERROR 22001: Data too long for column 'Ｃ１' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
-ERROR 22001: Data too long for column 'Ｃ１' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
-ERROR 22001: Data too long for column 'Ｃ１' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
+ERROR 22001: Data too long for column 'Ｃ１' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
+ERROR 22001: Data too long for column 'Ｃ１' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
+ERROR 22001: Data too long for column 'Ｃ１' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
 SELECT * FROM `Ｔ１` WHERE `Ｃ１` LIKE ' %';
 Ｃ１
  !"#$%&'()*+,-./

=== modified file 'tests/suite/jp/r/select_utf8.result'
--- tests/suite/jp/r/select_utf8.result	2010-10-25 03:09:38 +0000
+++ tests/suite/jp/r/select_utf8.result	2010-10-25 23:13:58 +0000
@@ -16,18 +16,18 @@
 CREATE TEMPORARY TABLE `Ｔ７` (c1 char(20), INDEX(c1))  engine = MEMORY;
 CREATE TEMPORARY TABLE `Ｔ８` (c1 char(20), INDEX(c1))  engine = MEMORY;
 CREATE TEMPORARY TABLE `Ｔ９` (c1 char(20), INDEX(c1))  engine = MEMORY;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
-ERROR 22001: Data too long for column 'c1' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
-ERROR 22001: Data too long for column 'c1' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
-ERROR 22001: Data too long for column 'c1' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
+ERROR 22001: Data too long for column 'c1' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
+ERROR 22001: Data too long for column 'c1' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
+ERROR 22001: Data too long for column 'c1' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
 SELECT * FROM `Ｔ１`;
 c1
  !"#$%&'()*+,-./

=== modified file 'tests/suite/jp/r/where_utf8.result'
--- tests/suite/jp/r/where_utf8.result	2010-10-25 03:09:38 +0000
+++ tests/suite/jp/r/where_utf8.result	2010-10-25 23:13:58 +0000
@@ -16,18 +16,18 @@
 CREATE TEMPORARY TABLE `Ｔ７` (`Ｃ１` char(20), INDEX(`Ｃ１`))  engine = MEMORY;
 CREATE TEMPORARY TABLE `Ｔ８` (`Ｃ１` char(20), INDEX(`Ｃ１`))  engine = MEMORY;
 CREATE TEMPORARY TABLE `Ｔ９` (`Ｃ１` char(20), INDEX(`Ｃ１`))  engine = MEMORY;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
-ERROR 22001: Data too long for column 'Ｃ１' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
-ERROR 22001: Data too long for column 'Ｃ１' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
-ERROR 22001: Data too long for column 'Ｃ１' at row 30
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
+ERROR 22001: Data too long for column 'Ｃ１' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
+ERROR 22001: Data too long for column 'Ｃ１' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
+ERROR 22001: Data too long for column 'Ｃ１' at row 30
+LOAD DATA INFILE 'DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
 SELECT * FROM `Ｔ１` WHERE `Ｃ１` = 'ｰｱｲｳｴｵｶｷｸｹｺｻｼｽｾｿ';
 Ｃ１
 ｰｱｲｳｴｵｶｷｸｹｺｻｼｽｾｿ

=== modified file 'tests/suite/jp/t/like_utf8.test'
--- tests/suite/jp/t/like_utf8.test	2010-10-25 03:09:38 +0000
+++ tests/suite/jp/t/like_utf8.test	2010-10-25 23:13:58 +0000
@@ -29,18 +29,27 @@
 # jisx0208 data
 # jisx0212 supplemental character data
 
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
 
 #InnoDB
 SELECT * FROM `Ｔ１` WHERE `Ｃ１` LIKE ' %';

=== modified file 'tests/suite/jp/t/select_utf8.test'
--- tests/suite/jp/t/select_utf8.test	2010-10-25 03:09:38 +0000
+++ tests/suite/jp/t/select_utf8.test	2010-10-25 23:13:58 +0000
@@ -29,18 +29,27 @@
 # jisx0208 data
 # jisx0212 supplemental character data
 
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
 
 #InnoDB
 SELECT * FROM `Ｔ１`;

=== modified file 'tests/suite/jp/t/where_utf8.test'
--- tests/suite/jp/t/where_utf8.test	2010-10-25 03:09:38 +0000
+++ tests/suite/jp/t/where_utf8.test	2010-10-25 23:13:58 +0000
@@ -29,18 +29,27 @@
 # jisx0208 data
 # jisx0212 supplemental character data
 
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
-LOAD DATA INFILE '../../std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
---error ER_DATA_TOO_LONG
-LOAD DATA INFILE '../../std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
-LOAD DATA INFILE '../../std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ１`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ２`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ３`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ４`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ５`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ６`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0201_utf8.dat' INTO TABLE `Ｔ７`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_DATA_TOO_LONG
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0208_utf8.dat' INTO TABLE `Ｔ８`;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/jisx0212_utf8.dat' INTO TABLE `Ｔ９`;
 
 #InnoDB
 SELECT * FROM `Ｔ１` WHERE `Ｃ１` = 'ｰｱｲｳｴｵｶｷｸｹｺｻｼｽｾｿ';

=== modified file 'tests/t/func_str.test'
--- tests/t/func_str.test	2010-10-07 21:44:19 +0000
+++ tests/t/func_str.test	2010-10-25 23:13:58 +0000
@@ -470,9 +470,9 @@
 --disable_metadata
 drop table t1;
 
-
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
 --error ER_TEXTFILE_NOT_READABLE
-select load_file("lkjlkj");
+eval select load_file("$DRIZZLETEST_VARDIR/lkjlkj");
 
 #
 # Bug#18243: REVERSE changes its argument

=== modified file 'tests/t/loaddata.test'
--- tests/t/loaddata.test	2010-10-08 21:27:53 +0000
+++ tests/t/loaddata.test	2010-10-25 23:13:58 +0000
@@ -7,22 +7,27 @@
 --enable_warnings
 
 create table t1 (a date, b date, c date not null, d date);
-load data infile '../../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',';
-load data infile '../../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' IGNORE 2 LINES;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata1.dat' into table t1 fields terminated by ',';
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' IGNORE 2 LINES;
 SELECT * from t1;
 truncate table t1;
 
-load data infile '../../std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' LINES STARTING BY ',' (b,c,d);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata1.dat' into table t1 fields terminated by ',' LINES STARTING BY ',' (b,c,d);
 SELECT * from t1;
 drop table t1;
 
 create table t1 (a text, b text);
-load data infile '../../std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''';
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata2.dat' into table t1 fields terminated by ',' enclosed by '''';
 select concat('|',a,'|'), concat('|',b,'|') from t1;
 drop table t1;
 
 create table t1 (a int, b char(10));
-load data infile '../../std_data_ln/loaddata3.dat' into table t1 fields terminated by '' enclosed by '' ignore 1 lines;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata3.dat' into table t1 fields terminated by '' enclosed by '' ignore 1 lines;
 select * from t1;
 truncate table t1;
 
@@ -35,7 +40,8 @@
 # ENCLOSED
 #
 create table t1 (a varchar(20), b varchar(20));
-load data infile '../../std_data_ln/loaddata_dq.dat' into table t1 fields terminated by ',' enclosed by '"' escaped by '"' (a,b);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata_dq.dat' into table t1 fields terminated by ',' enclosed by '"' escaped by '"' (a,b);
 select * from t1;
 drop table t1;
 
@@ -80,40 +86,48 @@
 #
 create table t1 (a int default 100, b int, c varchar(60));
 # we can do something like this
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set b=@b+10, c=concat("b=",@b);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set b=@b+10, c=concat("b=",@b);
 select * from t1;
 truncate table t1;
 # we can use filled fields in expressions 
 # we also assigning NULL value to field with non-NULL default here
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set c= if(a is null,"oops",a);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (a, @b) set c= if(a is null,"oops",a);
 select * from t1;
 truncate table t1;
 # we even can use variables in set clause, and missed columns will be set
 # with default values
 set @c:=123;
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (@a, b) set c= if(@a is null,@c,b);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (@a, b) set c= if(@a is null,@c,b);
 select * from t1;
 # let us test side-effect of such load
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (@a, @b);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (@a, @b);
 select * from t1;
 select @a, @b;
 truncate table t1;
 # now going to test fixed field-row file format
-load data infile '../../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c="Wow";
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c="Wow";
 select * from t1;
 truncate table t1;
 # this also should work
-load data infile '../../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c=concat(a,"+",b,"+",@c,"+",b,"+",if(c is null,"NIL",c));
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, b) set c=concat(a,"+",b,"+",@c,"+",b,"+",if(c is null,"NIL",c));
 select * from t1;
 # and this should bark
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
 --error ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR 
-load data infile '../../std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, @b);
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/loaddata5.dat' into table t1 fields terminated by '' enclosed by '' (a, @b);
 
 # Now let us test LOAD DATA with subselect
 create table t2 (num int primary key, str varchar(10));
 insert into t2 values (10,'Ten'), (15,'Fifteen');
 truncate table t1;
-load data infile '../../std_data_ln/rpl_loaddata.dat' into table t1 (@dummy,@n) set a= @n, c= (select str from t2 where num=@n);
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/rpl_loaddata.dat' into table t1 (@dummy,@n) set a= @n, c= (select str from t2 where num=@n);
 select * from t1;
 
 #

=== modified file 'tests/t/null.test'
--- tests/t/null.test	2010-10-06 07:52:09 +0000
+++ tests/t/null.test	2010-10-25 23:13:58 +0000
@@ -119,8 +119,9 @@
 # as 1048, only gives a "row" number.
 # @TODO Is there really a reason for a separate error 
 # just for LOAD DATA INFILE?
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
 --error ER_WARN_NULL_TO_NOTNULL
-LOAD DATA INFILE '../../std_data_ln/null_test.txt' INTO TABLE t1 FIELDS ENCLOSED BY '"';
+eval LOAD DATA INFILE '$DRIZZLETEST_VARDIR/std_data_ln/null_test.txt' INTO TABLE t1 FIELDS ENCLOSED BY '"';
 
 drop table t1;
 

=== modified file 'tests/t/outfile.test'
--- tests/t/outfile.test	2010-10-08 21:27:53 +0000
+++ tests/t/outfile.test	2010-10-25 23:13:58 +0000
@@ -1,6 +1,6 @@
 disable_query_log;
 # Server are started in "var/master-data/local", so "../../tmp" will be "var/tmp"
-eval set @tmpdir="../../tmp";
+eval set @tmpdir="$DRIZZLETEST_VARDIR/tmp";
 enable_query_log;
 
 #
@@ -14,29 +14,35 @@
 create table t1 (`a` blob);
 insert into t1 values("hello world"),("Hello mars"),(NULL);
 disable_query_log;
-eval select * into outfile "../../tmp/outfile-test.1" from t1;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval select * into outfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.1" from t1;
 enable_query_log;
 select load_file(concat(@tmpdir,"/outfile-test.1"));
 disable_query_log;
-eval select * into dumpfile "../../tmp/outfile-test.2" from t1 limit 1;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval select * into dumpfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.2" from t1 limit 1;
 enable_query_log;
 select load_file(concat(@tmpdir,"/outfile-test.2"));
 disable_query_log;
-eval select * into dumpfile "../../tmp/outfile-test.3" from t1 where a is null;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval select * into dumpfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.3" from t1 where a is null;
 enable_query_log;
 select load_file(concat(@tmpdir,"/outfile-test.3"));
 
 # the following should give errors
 
 disable_query_log;
---error ER_FILE_EXISTS_ERROR
-eval select * into outfile "../../tmp/outfile-test.1" from t1;
-
---error ER_FILE_EXISTS_ERROR
-eval select * into dumpfile "../../tmp/outfile-test.2" from t1;
-
---error ER_FILE_EXISTS_ERROR
-eval select * into dumpfile "../../tmp/outfile-test.3" from t1;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_FILE_EXISTS_ERROR
+eval select * into outfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.1" from t1;
+
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_FILE_EXISTS_ERROR
+eval select * into dumpfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.2" from t1;
+
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+--error ER_FILE_EXISTS_ERROR
+eval select * into dumpfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.3" from t1;
 enable_query_log;
 --error ER_TEXTFILE_NOT_READABLE
 select load_file(concat(@tmpdir,"/outfile-test.not-exist"));
@@ -47,7 +53,8 @@
 
 # Bug#8191
 disable_query_log;
-eval select 1 into outfile "../../tmp/outfile-test.4";
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval select 1 into outfile "$DRIZZLETEST_VARDIR/tmp/outfile-test.4";
 enable_query_log;
 --replace_result $DRIZZLE_TEST_DIR DRIZZLE_TEST_DIR
 select load_file(concat(@tmpdir,"/outfile-test.4"));
@@ -58,9 +65,8 @@
 #
 
 CREATE TABLE t1 (a INT);
-EXPLAIN 
-  SELECT *
-  INTO OUTFILE '../../tmp/t1.txt'
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval EXPLAIN SELECT * INTO OUTFILE '$DRIZZLETEST_VARDIR/tmp/t1.txt' 
   FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"' LINES TERMINATED BY '\r\n'
   FROM t1;
 DROP TABLE t1;
@@ -71,7 +77,8 @@
 # Bug#13202  SELECT * INTO OUTFILE ... FROM data_dictionary.schemas now fails
 #
 disable_query_log;
-eval SELECT * INTO OUTFILE "../../tmp/outfile-test.4"
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval SELECT * INTO OUTFILE "$DRIZZLETEST_VARDIR/tmp/outfile-test.4"
 FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
 FROM data_dictionary.schemas LIMIT 0, 5;
 # enable_query_log;
@@ -79,7 +86,8 @@
 
 use data_dictionary;
 # disable_query_log;
-eval SELECT * INTO OUTFILE "../../tmp/outfile-test.5"
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval SELECT * INTO OUTFILE "$DRIZZLETEST_VARDIR/tmp/outfile-test.5"
 FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
 FROM schemas LIMIT 0, 5;
 enable_query_log;

=== modified file 'tests/t/subselect3.test'
--- tests/t/subselect3.test	2010-02-15 18:29:31 +0000
+++ tests/t/subselect3.test	2010-10-25 23:13:58 +0000
@@ -618,9 +618,11 @@
 
 create table t1 (a int, b decimal(13, 3)); 
 insert into t1 values (1, 0.123);
-select a, (select max(b) from t1) into outfile "subselect.out.file.1" from t1;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval select a, (select max(b) from t1) into outfile "$DRIZZLETEST_VARDIR/subselect.out.file.1" from t1;
 delete from t1;
-load data infile "subselect.out.file.1" into table t1;
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
+eval load data infile "$DRIZZLETEST_VARDIR/subselect.out.file.1" into table t1;
 select * from t1;
 drop table t1;
 

=== modified file 'tests/t/warnings.test'
--- tests/t/warnings.test	2010-09-23 01:53:13 +0000
+++ tests/t/warnings.test	2010-10-25 23:13:58 +0000
@@ -50,8 +50,9 @@
 #
 
 create table t1(a int, b int not null, c date, d char(5));
+--replace_result $DRIZZLETEST_VARDIR DRIZZLETEST_VARDIR
 --error ER_WARN_NULL_TO_NOTNULL
-load data infile '../../std_data_ln/warnings_loaddata.dat' into table t1 fields terminated by ',';
+eval load data infile '$DRIZZLETEST_VARDIR/std_data_ln/warnings_loaddata.dat' into table t1 fields terminated by ',';
 # PS doesn't work good with @@warning_count
 --disable_ps_protocol
 select @@warning_count;

